Bug 5405 - "битый" симлинк после обновления пакета до версии 2.8.21-alt1
: "битый" симлинк после обновления пакета до версии 2.8.21-alt1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mod_ssl-doc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-27 12:00 by
Modified: 2005-08-25 12:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-27 12:00:54
Вывод apt-get dist-upgrade озадачил следующим:

10: mod_ssl-doc              ########################################### [100%]
ln: creating symbolic link `/var/www/html/addon-modules/mod_ssl' to `/usr/share/
doc/mod_ssl-2.8.21': File exists

Проверил, оказалось - после обновления появился "битый" симлинк:

# ls -al /var/www/html/addon-modules|grep mod_ssl
lrwxrwxrwx  1 root webmaster   29 Sep 20 09:37 mod_ssl ->
/usr/share/doc/mod_ssl-2.8.19

Дальше всё просто ;-)

$ rpm -q --scripts mod_ssl-doc        
postinstall scriptlet (through /bin/sh):
ln -s /usr/share/doc/mod_ssl-2.8.21 \
        /var/www/html/addon-modules/mod_ssl ||:
postuninstall scriptlet (through /bin/sh):
if [ $1 = 0 ]; then
    /bin/rm -f /var/www/html/addon-modules/mod_ssl
fi

Если в %post будет ln -sf ..., то обновление будет проходить успешно.
------- Comment #1 From 2004-10-27 12:58:46 -------
fixed in 2.8.21-alt2
------- Comment #2 From 2004-10-27 13:33:55 -------
Где этот -alt2?
------- Comment #3 From 2004-10-27 13:46:08 -------
На localhost.  Сейчас уйдёт в incoming.
------- Comment #4 From 2005-08-25 12:11:58 -------
* Wed Oct 27 2004 Dmitry V. Levin <ldv@altlinux.org> 2.8.21-alt2%release_tag
- %name-doc, %name-sxnet:
  + fixed %%post scripts (#5405).